<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<head>
    <title>StorageManager</title>
    <link rel="stylesheet" href="ldoc.css" type="text/css" />
</head>
<body>

<div id="container">

<div id="product">
	<div id="product_logo"></div>
	<div id="product_name"><big><b></b></big></div>
	<div id="product_description"></div>
</div> <!-- id="product" -->


<div id="main">


<!-- Menu -->

<div id="navigation">
<br/>
<h1>mframework</h1>


<h2>Contents</h2>
<ul>
<li><a href="#Functions">Functions</a></li>
</ul>


<h2>Modules</h2>
<ul class="nowrap">
  <li><strong>storagemanager</strong></li>
</ul>

</div>

<div id="content">

<h1>Module <code>storagemanager</code></h1>
<p>Describes a Storage Object</p>
<p>

</p>


<h2><a href="#Functions">Functions</a></h2>
<table class="function_list">
	<tr>
	<td class="name" nowrap><a href="#Storage:HasItem">Storage:HasItem (itemClass, amount)</a></td>
	<td class="summary">
<ul>
    <li>Check if this Storage Contains the Specified Item optionaly checks the amount of all stacks combined</li>
</ul>
</td>
	</tr>
	<tr>
	<td class="name" nowrap><a href="#Storage:AddItem">Storage:AddItem (itemClass, itemAccessory, accessorySlot)</a></td>
	<td class="summary">
<ul>
    <li>Uses ISM to Give an item to This Storage</li>
</ul>
</td>
	</tr>
	<tr>
	<td class="name" nowrap><a href="#Storage:AddItemStacked">Storage:AddItemStacked (itemClass, itemCount)</a></td>
	<td class="summary">
<ul>
    <li>Uses ISM to Give an amount of a single item to This Storage
    returns boolean and remainingCount+Message on error</li>
</ul>
</td>
	</tr>
</table>

<br/>
<br/>


    <h2 class="section-header "><a name="Functions"></a>Functions</h2>

    <dl class="function">
    <dt>
    <a name = "Storage:HasItem"></a>
    <strong>Storage:HasItem (itemClass, amount)</strong>
    </dt>
    <dd>

<ul>
    <li>Check if this Storage Contains the Specified Item optionaly checks the amount of all stacks combined</li>
</ul>



    <h3>Parameters:</h3>
    <ul>
        <li><span class="parameter">itemClass</span>
         string
        </li>
        <li><span class="parameter">amount</span>
         number
        </li>
    </ul>

    <h3>Returns:</h3>
    <ol>

        boolean
    </ol>




</dd>
    <dt>
    <a name = "Storage:AddItem"></a>
    <strong>Storage:AddItem (itemClass, itemAccessory, accessorySlot)</strong>
    </dt>
    <dd>

<ul>
    <li>Uses ISM to Give an item to This Storage</li>
</ul>



    <h3>Parameters:</h3>
    <ul>
        <li><span class="parameter">itemClass</span>
         string
        </li>
        <li><span class="parameter">itemAccessory</span>
         string
        </li>
        <li><span class="parameter">accessorySlot</span>
         string slot id for accessories
        </li>
    </ul>

    <h3>Returns:</h3>
    <ol>

        boolean
    </ol>




</dd>
    <dt>
    <a name = "Storage:AddItemStacked"></a>
    <strong>Storage:AddItemStacked (itemClass, itemCount)</strong>
    </dt>
    <dd>

<ul>
    <li>Uses ISM to Give an amount of a single item to This Storage
    returns boolean and remainingCount+Message on error</li>
</ul>



    <h3>Parameters:</h3>
    <ul>
        <li><span class="parameter">itemClass</span>
         string
        </li>
        <li><span class="parameter">itemCount</span>
         number
        </li>
    </ul>

    <h3>Returns:</h3>
    <ol>

        boolean,number,string
    </ol>




</dd>
</dl>


</div> <!-- id="content" -->
</div> <!-- id="main" -->
<div id="about">
<i>generated by <a href="http://github.com/stevedonovan/LDoc">LDoc 1.4.6</a></i>
<i style="float:right;">Last updated 2020-05-04 19:28:22 </i>
</div> <!-- id="about" -->
</div> <!-- id="container" -->
</body>
</html>
